import { csv, select } from 'd3'; //importing packages
import { scatterPlot } from './scatterPlot';

const csvUrl = 'https://gist.githubusercontent.com/Harshavardhan-manne-tamu/04ec369e316e4a45f876a284a920498b/raw/c40e0fa994b89c970730baf8e2329270398c53a9/gistfile1.txt'
// addition of iris data to visualise

const parseRow = (d) => {
  d.sepal_length = +d.sepal_length; // defining data columns
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const margin = {
        top :90,
        right : 30,
        bottom: 100,
        left:120,
      };
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);


// loading data
const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.petal_width)
      .yValue((d) => d.sepal_length)
      .symbolValue((d) => d.species)
      .margin({
        top: 40,
        right: 40,
        bottom: 100,
        left: 90,
      })
      .size(100)
  );
  
   // text label for the y axis
	svg.append("text")   
        .attr("transform", "rotate(-90)")
        .attr("x", 0 - (height/2) )
        .attr("dy", "2em")
        .style("text-anchor", "middle")
        .text("sepal_length")
        .attr("font-family","Times new roman")
        .attr("font-weight","bold");
      
    // text label for the x axis
  	svg.append("text")
        .attr("x", width / 2 )
        .attr("y",  450)
        .style("text-anchor", "middle")
        .text("petal_width")
        .attr("font-family","Times new roman")
        .attr("font-weight","bold");
  
};
main();
